6.0.0-git
2019-04-24

[#11294] Folder export is not working
Summary Folder export is not working
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2469 days ago)
Due
Updated 2012-08-29 (2429 days ago)
Assigned 2012-07-30 (2459 days ago)
Resolved 2012-08-02 (2456 days ago)
Milestone
Patch No

History
2012-08-29 12:45:42 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 733d25369d72c3a6eadcb37d8184dcae05d8f9b0
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 13:45:12 2012 -0600

     [mms] Fix determining sequence numbers when caching is active 
(Bug #11294).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    2 +-
  framework/Imap_Client/package.xml                  |    4 ++--
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/733d25369d72c3a6eadcb37d8184dcae05d8f9b0
2012-08-29 12:45:38 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 136d566b5cf2e41ed121b7ef7abe87ba4bfe659f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 13:15:05 2012 -0600

     Bug #11294: generateMbox() should accept either a string or array

  imp/lib/Ui/Folder.php |   11 +++++++++--
  1 files changed, 9 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/136d566b5cf2e41ed121b7ef7abe87ba4bfe659f
2012-08-29 12:44:54 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 709fc86bd7fe5d7c36635f41e1f4f6e9810ca43f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jul 24 15:24:00 2012 -0600

     [mms] Fix HordeCore javascript download action (Bug #11294).

  framework/Core/js/hordecore.js          |    2 +-
  framework/Core/lib/Horde/PageOutput.php |    2 +-
  framework/Core/package.xml              |    2 ++
  3 files changed, 4 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/709fc86bd7fe5d7c36635f41e1f4f6e9810ca43f
2012-08-02 02:05:10 Michael Slusarz Comment #8
State ⇒ Resolved
Reply to this comment
Also the text for the ".zip" export still shows "mbox".
Can't reproduce.
Closing since I can't see how this could happen in the code given the 
current state.
2012-07-30 19:50:54 Michael Slusarz Comment #7
State ⇒ Feedback
Reply to this comment
Hmm, still doesn't work for me. Tested with Firefox 14.0.1 on Linux.
Fixed.
Also the text for the ".zip" export still shows "mbox".
Can't reproduce.
2012-07-30 19:50:13 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit 733d25369d72c3a6eadcb37d8184dcae05d8f9b0
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 13:45:12 2012 -0600

     [mms] Fix determining sequence numbers when caching is active 
(Bug #11294).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    2 +-
  framework/Imap_Client/package.xml                  |    4 ++--
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/733d25369d72c3a6eadcb37d8184dcae05d8f9b0
2012-07-30 19:50:06 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit 136d566b5cf2e41ed121b7ef7abe87ba4bfe659f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 13:15:05 2012 -0600

     Bug #11294: generateMbox() should accept either a string or array

  imp/lib/Ui/Folder.php |   11 +++++++++--
  1 files changed, 9 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/136d566b5cf2e41ed121b7ef7abe87ba4bfe659f
2012-07-30 19:46:50 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_4):

commit 93f041a7c9b52bd77834ec67ce822f31d39e8c84
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Jul 30 13:45:12 2012 -0600

     [mms] Fix determining sequence numbers when caching is active 
(Bug #11294).

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    2 +-
  framework/Imap_Client/package.xml                  |    4 ++--
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/93f041a7c9b52bd77834ec67ce822f31d39e8c84
2012-07-28 13:53:52 Thomas Jarosch State ⇒ Assigned
 
2012-07-28 13:53:26 Thomas Jarosch Comment #3 Reply to this comment

[Show Quoted Text - 12 lines]
Hmm, still doesn't work for me. Tested with Firefox 14.0.1 on Linux.

To be on the safe side I've verified that the above mentioned git 
changes are in the current git HEAD code on my installation.

Also the text for the ".zip" export still shows "mbox".

Any idea how to debug it?

2012-07-24 21:40:46 Michael Slusarz State ⇒ Resolved
 
2012-07-24 21:36:28 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 709fc86bd7fe5d7c36635f41e1f4f6e9810ca43f
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jul 24 15:24:00 2012 -0600

     [mms] Fix HordeCore javascript download action (Bug #11294).

  framework/Core/js/hordecore.js          |    2 +-
  framework/Core/lib/Horde/PageOutput.php |    2 +-
  framework/Core/package.xml              |    2 ++
  3 files changed, 4 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/709fc86bd7fe5d7c36635f41e1f4f6e9810ca43f
2012-07-22 18:31:35 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2012-07-20 09:49:18 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Folder export is not working
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

If I click on "Folder export" -> "as zip", nothing happens. I tested 
it with a small folder (170 messages, 2mb).

If I try to export it "as mbox", it present a nice dialog which asks 
me if I really want to export it as MBOX. I press OK and nothing 
happens again.


If I now click on "Export as zip" again, it will also present the 
(wrong) dialog "Do you want to export as MBOX".

Thomas

Saved Queries